<template>
  <modal-component @click-backdrop="toggleShareModal(false)">
    <div class="modal-share">
      <button class="share-facebook" @click="shareToFacebook">
        <font-awesome-icon :icon="['fab', 'facebook-f']" />
        <span>Chia sẻ lên Facebook</span>
      </button>
      <button class="share-instagram">
        <font-awesome-icon :icon="['fab', 'instagram']" />
        <span>Chia sẻ lên Instagram</span>
      </button>
      <button class="share-zalo">
        <img src="../assets/img/zalo.png" alt="zalo" />
        <span>Chia sẻ lên Zalo</span>
      </button>
    </div>
  </modal-component>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import ModalComponent from './Modal.vue';
import { commonModule, Sharer } from '../store/common/const';

@Component({
  components: { ModalComponent }
})
export default class ModalShareComponent extends Vue {
  @commonModule.Action('toggleShareModal')
  toggleShareModal!: (isOpen: boolean) => void;

  @commonModule.State('shareUrls') shareUrls!: Sharer;

  shareToFacebook() {
    window.open(this.shareUrls.facebook, '_blank', 'height=500,width=300');
    this.toggleShareModal(false);
  }
}
</script>

<style lang="scss" scoped>
.modal-share {
  background: url('../assets/img/scratch_area.png') no-repeat center center;
  background-size: 100% 100%;
  padding: 40px;

  button {
    background-color: transparent;
    color: white;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    font-family: 'Montserrat', sans-serif;
    padding: 0;
    margin: 0;
    width: 100%;
    border-radius: 5px;
    border: 1px solid rgba(0, 0, 0, 0.2);
    outline: none;
    font-size: 0.8em;

    &:not(:last-child) {
      margin-bottom: 1.3vh;
    }

    svg,
    img {
      padding: 7px 10px;
      width: 5vh;
      max-width: 20px;
      height: 5vh;
      max-height: 20px;
      object-fit: contain;
      border-right: 1px solid rgba(0, 0, 0, 0.2);
    }

    span {
      flex: 1;
      padding: 0 10px;
      text-align: center;
      font-weight: bold;
    }

    &.share-facebook {
      background-color: #39579a;
    }

    &.share-instagram {
      background-color: #e56969;
    }

    &.share-zalo {
      background-color: #008ae2;
    }
  }
}

@include Orientation(Landscape) {
  .modal-login {
    button {
      font-size: 1em;
    }
  }
}
</style>